Index: test/edu/ucsb/nceas/metacattest/AccessControlTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4507)
+++ test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4508)
@@ -2831,22 +2548,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			debug(testdocument);
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 
 			// or the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 
 			// or delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2858,8 +2575,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, true,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// System.out.println(testdocument);
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2867,22 +2584,22 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, FAILURE, true);
 
 			// should be able to update the document
 
 			// System.out.println(testdocument);
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 
 			// but not the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, true,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".6", testdocument, FAILURE, true);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".5", FAILURE, true);
-			// deleteDocid(newdocid + ".4", FAILURE, true);
+			deleteDocumentId(newdocid + ".5", FAILURE, true);
+			// deleteDocumentId(newdocid + ".4", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2894,8 +2611,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".6", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2903,13 +2620,13 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".6", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".6", testdocument, FAILURE, true);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".7", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".7", testdocument, FAILURE, true);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
@@ -2916,11 +2633,11 @@
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
 			// ERRRRRRRROR
-			// updateDocid(newdocid + ".7", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".7", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".7", FAILURE, true);
-			deleteDocid(newdocid + ".6", FAILURE, true);
+			// deleteDocumentId(newdocid + ".7", FAILURE, true);
+			deleteDocumentId(newdocid + ".6", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2932,8 +2649,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, true,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".8", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".8", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2941,19 +2658,19 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
 
 			// should be able to update the document
-			updateDocid(newdocid + ".9", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".9", testdocument, SUCCESS, false);
 
 			// but cant chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".9", FAILURE, true);
+			deleteDocumentId(newdocid + ".9", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2965,8 +2682,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2974,22 +2691,22 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			// updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".11", FAILURE, true);
-			deleteDocid(newdocid + ".10", FAILURE, true);
+			// deleteDocumentId(newdocid + ".11", FAILURE, true);
+			deleteDocumentId(newdocid + ".10", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -3001,8 +2718,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".12", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".12", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -3010,23 +2727,23 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".13", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".13", testdocument, FAILURE, true);
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
 			// ERRRRRRRRRRRRRRRR
-			// updateDocid(newdocid + ".13", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".13", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".13", FAILURE, true);
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			// deleteDocumentId(newdocid + ".13", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -3038,8 +2755,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, true, true,
 							false), null, null, null, null);
-			updateDocid(newdocid + ".14", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -3047,24 +2764,24 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
-			updateDocid(newdocid + ".15", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".15", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".15", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".15", testdocument, SUCCESS, false);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".16", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".16", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".16", FAILURE, true);
+			deleteDocumentId(newdocid + ".16", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -3076,8 +2793,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".17", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".17", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -3085,24 +2802,24 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
-			updateDocid(newdocid + ".18", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".18", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".18", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".18", testdocument, SUCCESS, false);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".19", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".19", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".19", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".19", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".19", FAILURE, true);
+			deleteDocumentId(newdocid + ".19", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -3110,7 +2827,7 @@
 			// delete the document
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			deleteDocid(newdocid + ".19", SUCCESS, false);
+			deleteDocumentId(newdocid + ".19", SUCCESS, false);
 			debug("logging out");
 			m.logout();
 		} catch (MetacatAuthException mae) {
@@ -3141,14 +2858,14 @@
 
 			String accessBlock = getAccessBlock(anotheruser, true, true, false, false,
 					false);
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
 
-			onlineDocid = generateDocid();
-			uploadDocid(onlineDocid + ".1", onlinetestdatafile1, SUCCESS, false);
+			onlineDocid = generateDocumentId();
+			uploadDocumentId(onlineDocid + ".1", onlinetestdatafile1, SUCCESS, false);
 
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
@@ -3155,8 +2872,8 @@
 					null, null, null, null, null, null);
 
 			// insert a document - get the docid
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// logoutand login as other user
 			debug("logging out");
@@ -3163,40 +2880,40 @@
 			m.logout();
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid + ".1", null, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", null, FAILURE, true);
 
 			// update the document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the inline data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock2, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the online data
-			uploadDocid(onlineDocid + ".2", onlinetestdatafile1, FAILURE, false);
+			uploadDocumentId(onlineDocid + ".2", onlinetestdatafile1, FAILURE, false);
 
 			// update the document access control
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, accessBlock, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the document access control for inline data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, accessBlock, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the document access control for online data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, null, null, accessBlock, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			debug("logging out");
 			m.logout();
 		} catch (MetacatAuthException mae) {
@@ -3229,14 +2946,14 @@
 
 			String accessBlock = getAccessBlock(anotheruser, true, true, false, false,
 					false);
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
 
-			onlineDocid = generateDocid();
-			uploadDocid(onlineDocid + ".1", onlinetestdatafile1, SUCCESS, false);
+			onlineDocid = generateDocumentId();
+			uploadDocumentId(onlineDocid + ".1", onlinetestdatafile1, SUCCESS, false);
 
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
@@ -3243,8 +2960,8 @@
 					null, null, null, null, null, null);
 
 			// insert a document - get the docid
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// logoutand login as other user
 			debug("logging out");
@@ -3251,40 +2968,40 @@
 			m.logout();
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid + ".1", null, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", null, FAILURE, true);
 
 			// update the document
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the inline data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock2, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the online data
-			uploadDocid(onlineDocid + ".2", onlinetestdatafile1, FAILURE, false);
+			uploadDocumentId(onlineDocid + ".2", onlinetestdatafile1, FAILURE, false);
 
 			// update the document access control
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, accessBlock, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the document access control for inline data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, accessBlock, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// update the document access control for online data
 			testdocument = getTestEmlDoc("Testing insert", emlVersion,
 					testEmlInlineBlock1, null, "ecogrid://knb/" + onlineDocid + ".1",
 					null, null, null, null, accessBlock, null);
-			updateDocid(newdocid + ".2", testdocument, FAILURE, false);
+			updateDocumentId(newdocid + ".2", testdocument, FAILURE, false);
 
 			// delete the document
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 			debug("logging out");
 			m.logout();
 		} catch (MetacatAuthException mae) {
@@ -3298,238 +3015,4 @@
 		}
 
 	}
-
-	/**
-	 * Insert a document into metacat. The expected result is passed as result
-	 */
-
-	private String insertDocid(String docid, String docText, boolean result,
-			boolean expectKarmaException) {
-		debug("insertDocid(): docid=" + docid + " expectedResult=" + result
-				+ " expectKarmaException=" + expectKarmaException);
-		String response = null;
-		try {
-			response = m.insert(docid, new StringReader(testdocument), null);
-			if (result) {
-				assertTrue(response, (response.indexOf("<success>") != -1));
-				assertTrue(response, response.indexOf(docid) != -1);
-			} else {
-				assertTrue(response, (response.indexOf("<success>") == -1));
-			}
-			debug("insertDocid():  response=" + response);
-		} catch (MetacatInaccessibleException mie) {
-			fail("Metacat Inaccessible:\n" + mie.getMessage());
-		} catch (InsufficientKarmaException ike) {
-			if (!expectKarmaException) {
-				fail("Insufficient karma:\n" + ike.getMessage());
-			}
-		} catch (MetacatException me) {
-			fail("Metacat Error:\n" + me.getMessage());
-		} catch (Exception e) {
-			fail("General exception:\n" + e.getMessage());
-		}
-		return response;
-	}
-
-	/**
-	 * Insert a document into metacat. The expected result is passed as result
-	 */
-
-	private String uploadDocid(String docid, String filePath, boolean result,
-			boolean expectedKarmaException) {
-		debug("uploadDocid(): docid=" + docid + " filePath=" + filePath
-				+ " expectedResult=" + result + " expectedKarmaException="
-				+ expectedKarmaException);
-		String response = null;
-		try {
-			response = m.upload(docid, new File(filePath));
-			if (result) {
-				assertTrue(response, (response.indexOf("<success>") != -1));
-				assertTrue(response, response.indexOf(docid) != -1);
-			} else {
-				assertTrue(response, (response.indexOf("<success>") == -1));
-			}
-			debug("uploadDocid():  response=" + response);
-		} catch (MetacatInaccessibleException mie) {
-			fail("Metacat Inaccessible:\n" + mie.getMessage());
-		} catch (InsufficientKarmaException ike) {
-			if (!expectedKarmaException) {
-				fail("Insufficient karma:\n" + ike.getMessage());
-			}
-		} catch (MetacatException me) {
-			if (result) {
-				fail("Metacat Error:\n" + me.getMessage());
-			} else {
-				debug("Metacat Error:\n" + me.getMessage());
-			}
-		} catch (Exception e) {
-			fail("General exception:\n" + e.getMessage());
-		}
-		return response;
-	}
-
-	/**
-	 * Update a document in metacat. The expected result is passed as result
-	 */
-	private String updateDocid(String docid, String docText, boolean result,
-			boolean expectedKarmaFailure) {
-		debug("updateDocid(): docid=" + docid + " expectedResult=" + result
-				+ " expectedKarmaFailure=" + expectedKarmaFailure);
-		String response = null;
-		try {
-			response = m.update(docid, new StringReader(testdocument), null);
-
-			if (result) {
-				assertTrue(response, (response.indexOf("<success>") != -1));
-				assertTrue(response, response.indexOf(docid) != -1);
-			} else {
-				assertTrue(response, (response.indexOf("<success>") == -1));
-			}
-			debug("updateDocid(): response=" + response);
-		} catch (MetacatInaccessibleException mie) {
-			fail("Metacat Inaccessible:\n" + mie.getMessage());
-		} catch (InsufficientKarmaException ike) {
-			if (!expectedKarmaFailure) {
-				fail("Insufficient karma:\n" + ike.getMessage());
-			}
-		} catch (MetacatException me) {
-			if (result) {
-				fail("Metacat Error:\n" + me.getMessage());
-			} else {
-				debug("Metacat Error:\n" + me.getMessage());
-			}
-		} catch (Exception e) {
-			fail("General exception:\n" + e.getMessage());
-		}
-
-		return response;
-	}
-
-	/**
-	 * Delete a document into metacat. The expected result is passed as result
-	 */
-	private void deleteDocid(String docid, boolean result, boolean expectedKarmaFailure) {
-		debug("deleteDocid(): docid=" + docid + " expectedResult=" + result
-				+ " expectedKarmaFailure=" + expectedKarmaFailure);
-		try {
-			Thread.sleep(5000);
-			String response = m.delete(docid);
-			if (result) {
-				assertTrue(response, response.indexOf("<success>") != -1);
-			} else {
-				assertTrue(response, response.indexOf("<success>") == -1);
-			}
-			debug("deleteDocid():  response=" + response);
-		} catch (MetacatInaccessibleException mie) {
-			fail("Metacat Inaccessible:\n" + mie.getMessage());
-		} catch (InsufficientKarmaException ike) {
-			if (!expectedKarmaFailure) {
-				fail("Insufficient karma:\n" + ike.getMessage());
-			}
-		} catch (MetacatException me) {
-			if (result) {
-				fail("Metacat Error:\n" + me.getMessage());
-			} else {
-				debug("Metacat Error:\n" + me.getMessage());
-			}
-		} catch (Exception e) {
-			fail("General exception:\n" + e.getMessage());
-		}
-	}
-
-//	/**
-//	 * Read a document from metacat. The expected result is passed as result
-//	 */
-//	private void readDocid(String docid, boolean result, boolean expectedKarmaFailure) {
-//		debug("readDocid(): docid=" + docid + " expectedResult=" + result
-//				+ " expectedKarmaFailure=" + expectedKarmaFailure);
-//		try {
-//			Reader r = m.read(docid);
-//			String response = IOUtil.getAsString(r, true);
-//
-//			if (!result) {
-//				assertTrue(response, response.indexOf("<success>") == -1);
-//			}
-//			debug("readDocid():  response=" + response);
-//		} catch (MetacatInaccessibleException mie) {
-//			fail("Metacat Inaccessible:\n" + mie.getMessage());
-//		} catch (InsufficientKarmaException ike) {
-//			if (!expectedKarmaFailure) {
-//				fail("Insufficient karma:\n" + ike.getMessage());
-//			}
-//		} catch (MetacatException me) {
-//			fail("Metacat Error:\n" + me.getMessage());
-//		} catch (Exception e) {
-//			fail("General exception:\n" + e.getMessage());
-//		}
-//	}
-
-	/**
-	 * Read a document from metacat and check if it is equal to a given string.
-	 * The expected result is passed as result
-	 */
-
-	private void readDocidWhichEqualsDoc(String docid, String testDoc, boolean result,
-			boolean expectedKarmaFailure) {
-		debug("readDocidWhichEqualsDoc(): docid=" + docid + " expectedResult=" + result
-				+ " expectedKarmaFailure=" + expectedKarmaFailure);
-		try {
-			Reader r = m.read(docid);
-			String doc = IOUtil.getAsString(r, true);
-			if (result) {
-
-				if (!testDoc.equals(doc)) {
-					System.out.println("doc ***********************");
-					System.out.println(doc);
-					System.out.println("end doc ***********************");
-					System.out.println("testDoc ***********************");
-					System.out.println(testDoc);
-					System.out.println("end testDoc ***********************");
-				}
-
-				assertTrue(testDoc.equals(doc));
-			} else {
-				assertTrue(doc.indexOf("<error>") != -1);
-			}
-			debug("readDocidWhichEqualsDoc():  doc=" + doc);
-		} catch (MetacatInaccessibleException mie) {
-			fail("Metacat Inaccessible:\n" + mie.getMessage());
-		} catch (InsufficientKarmaException ike) {
-			if (!expectedKarmaFailure) {
-				fail("Insufficient karma:\n" + ike.getMessage());
-			}
-		} catch (MetacatException me) {
-			fail("Metacat Error:\n" + me.getMessage());
-		} catch (Exception e) {
-			fail("General exception:\n" + e.getMessage());
-		}
-
-	}
-
-	/**
-	 * Create a hopefully unique docid for testing insert and update. Does not
-	 * include the 'revision' part of the id.
-	 * 
-	 * @return a String docid based on the current date and time
-	 */
-	private String generateDocid() {
-		StringBuffer docid = new StringBuffer(prefix);
-		docid.append(".");
-
-		// Create a calendar to get the date formatted properly
-		String[] ids = TimeZone.getAvailableIDs(-8 * 60 * 60 * 1000);
-		SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, ids[0]);
-		pdt.setStartRule(Calendar.APRIL, 1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);
-		pdt.setEndRule(Calendar.OCTOBER, -1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);
-		Calendar calendar = new GregorianCalendar(pdt);
-		Date trialTime = new Date();
-		calendar.setTime(trialTime);
-		docid.append(calendar.get(Calendar.YEAR));
-		docid.append(calendar.get(Calendar.DAY_OF_YEAR));
-		docid.append(calendar.get(Calendar.HOUR_OF_DAY));
-		docid.append(calendar.get(Calendar.MINUTE));
-		docid.append(calendar.get(Calendar.SECOND));
-
-		return docid.toString();
-	}
 }
